Skip to main content
GET
/
mailbox
/
folders
/
query-changes
Get folder query changes
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/folders/query-changes \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "old_query_state": "<string>",
    "new_query_state": "<string>",
    "has_more": true,
    "removed": [
      "<string>"
    ],
    "added": [
      {
        "id": "<string>",
        "index": 123
      }
    ],
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

since_query_state
string
limit
integer
Required range: 1 <= x <= 500
mailbox_id
string

Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.

Response

Folder query changes

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required